#include "dimensionreducing.h"
#include <mlpack/core.hpp>
#include <mlpack/methods/pca/pca.hpp>
#include <armadillo>

// DO NOT USE THIS FILE.

using namespace mlpack;

// C++11 Mechanisms makes it quite efficient to return a vector.
std::vector<double> pcaDimensionReduce(const std::vector<double>& s)
{
    pca::PCA opca;
/*    std::vector<double> tmp;
    std::vector<unsigned int> itmp;
    unsigned int i;
    for(i = 0; i < s.size(); i++)
    {
        tmp.push_back((double)s[i]);
    }*/
    arma::vec t(s); // Copying !!!
    arma::vec tsfed;
    arma::vec eig(1);
    opca.Apply(t, tsfed, eig);
/*    for(i = 0; i < t.size(); i++)
    {
        itmp.push_back(t[i]);
    }*/
    return arma::conv_to<std::vector<double> >::from(tsfed);
}
