#ifndef REGISTERING_H
#define REGISTERING_H

#include <QObject>
#include "dataentry.h"

class Registering : public QObject
{
    Q_OBJECT
public:
    explicit Registering(DataEntry& de, QObject *parent = 0);

signals:
    void registerComplete();
public slots:
    void registerUser(unsigned int id, const std::vector<double>&);
private:
    DataEntry& mde;
};

#endif // REGISTERING_H
