#ifndef TESTING_H
#define TESTING_H

#include <QObject>
#include "dataentry.h"
class Testing : public QObject
{
    Q_OBJECT
public:
    explicit Testing(DataEntry& de, QObject *parent = 0);

signals:
    void result(unsigned int);
    void probResult(double*, int);
public slots:
    void test(const std::vector<double>& feature);
private:
    DataEntry& mde;
};

#endif // TESTING_H
