#ifndef VOLTAGEDATA_H
#define VOLTAGEDATA_H

template <
        class port_t = unsigned int,
        class idx_t = unsigned int,
        class volt_t = unsigned int
        >
struct voltage_data
{
    typedef port_t tID;
    typedef idx_t tIDX;
    typedef volt_t tVOLT;
    port_t port;
    idx_t index;
    volt_t voltage;
};

typedef voltage_data<unsigned int, unsigned int, unsigned int> volt_data;

#endif // VOLTAGEDATA_H
