#ifndef FOURIERFEATUREEXTRACTING_H
#define FOURIERFEATUREEXTRACTING_H
#include <armadillo>
template <unsigned int t>
void getFourierFeature(const arma::vec& src, arma::vec& res)
{
    res.set_size(t);
    arma::cx_vec fs = fft(src);
    // DEBUGING!!!
    src.print();


    arma::vec rfs = abs(fs);
    rfs.print();

    arma::uvec b = arma::sort_index(rfs, "descend");
    unsigned int i;
    for(i = 0; i < t; i++)
    {
        res[i] = rfs[b[i]] * b[i];
    }
}

#endif // FOURIERFEATUREEXTRACTING_H
